<?php
/**
 * 后台广告程序 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('purview.php'); // 后台安全权限文件
require_once('../include/function.php'); // 调用函数库
require_once('../include/page.class.php'); // 调用分页类
require_once('../include/uploadfile.class.php'); // 调用上传类
/**
 +-------------------------------------------------------------------
 * 主体处理程序 $act
 +-------------------------------------------------------------------
 * list  数据列表
 * view  详细资料
 * create  创建广告
 * createsave  创建广告提交
 * edit  编辑列表
 * editsave  编辑广告提交
 * groupconfirm 批量处理确认
 * group 批量处理
 * delconfirm 确认删除
 * del 正式删除
 +-------------------------------------------------------------------
 */
$act = empty($_GET['act']) ? 'list' : $_GET['act'];

switch($act) {

	case 'list':

		// - 参数设置
		$perpage = empty($_GET['pe']) ? 10 : $_GET['pe']; // 每页显示记录条数
		$page    = empty($_GET['page']) ? 1 : $_GET['page']; // 当页页数
		$pbegin  = ($page * $perpage - $perpage) < 0 ? 0 : $page * $perpage - $perpage; // 起始数据
		$tal     = $db->getarray($db->query("select COUNT(*) as total from {$prefix}_ad order by id asc")); // 总记录条数
		$total   = $tal['total'];

		// - 输出列表

		$re1s = $db->query("select * from {$prefix}_ad order by id asc limit $pbegin,$perpage");
		while($re1r = $db->getarray($re1s)) {
			$ad_list_array[] = smarrayall($re1r);
		}
		$smarty->assign('ad_list', $ad_list_array);

		// - 分页

		$fpage = new page(array('total'=>$total, 'perpage'=>$perpage)); // 调用分页
		$smarty->assign('page', $fpage->show(2)); // 输出分页
		$smarty->assign('url', base64_encode($fpage->_get_url($page))); // 记住url，以便返回

		break;

	case 'create':

		$cn   = $_POST['tj']==1 ? $_POST['cn'] : $_SESSION['cn'];
		$tk   = $_POST['tj']==1 ? $_POST['tk'] : $_SESSION['tk'];
		$en   = $_POST['tj']==1 ? $_POST['en'] : $_SESSION['en'];
		$html = $_POST['tj']==1 ? $_POST['html'] : $_SESSION['html'];

		$smarty->assign('cn', $cn); // 简
		$smarty->assign('tk', $tk); // 繁
		$smarty->assign('en', $en); // 英
		$smarty->assign('html', $html); // 用来控制可视化编辑器

		// - 输出模板列表
		$handle = @opendir('../skins');
		while ($file = @readdir($handle)) {
			if($file!="." and $file!=".." and is_dir("../skins/".$file)==true) {
				$skins_list_array[] = $file;
			}
		}

		$smarty->assign('skins_list', $skins_list_array);
		$smarty->assign('b_skins', $skins); // 当前默认模板

		break;


	case 'createsave':

		$cn_title = $_POST['cn_title']; // 简体标题
		$tk_title = $_POST['tk_title']; // 繁体标题
		$en_title = $_POST['en_title']; // 英文标题
		$jumpurl = 'ad.php?act=create'; // 跳转链接，默认返回
		if (empty($cn_title) && empty($tk_title) && empty($en_title)) {
			$message = '标题不能为空';
		} else {

			// - 设定参数
			$upload = new UploadFile();
			$up = 1; // 上传状态 1 成功 0 失败
			$upload->maxSize  = -1 ; // 设置上传文件大小
			$upload->allowExts  = array('gif', 'jpg', 'png', 'jpeg', 'GIF'); // 设置上传文件类型
			$upload->savePath =  '../upload/system/'; // 设置附件上传目录
			$upload->saveRule =  'create_guid'; // 上传文件命名规则

			// - 执行上传操作
			if (!$upload->upload()) { // 捕获上传异常
				if ($upload->nerror!=4) { // 上传文件如果不为空
					$up = 0; // 上传状态 1 成功 0 失败
				}
			} else {
				$uploadList = $upload->getUploadFileInfo();	// 取得成功上传的文件信息
			}

			if($up == 1) { // 如果上传成功

				$_POST['pic1']  = $uploadList['pic1'];
				$_POST['pic2']  = $uploadList['pic2'];
				$_POST['pic3']  = $uploadList['pic3'];
				$_POST['pic4']  = $uploadList['pic4'];
				$_POST['pic5']  = $uploadList['pic5'];
				// - 插入数据表
				$db->insert_list("{$prefix}_ad", $_POST, '|available|skins|cn_title|tk_title|en_title|title1|title2|title3|title4|title5|pic1|pic2|pic3|pic4|pic5|url1|url2|url3|url4|url5|cn_other|tk_other|en_other|cn_bewrite|tk_bewrite|en_bewrite|cn_content|tk_content|en_content');
				$message = $cn_title.'已经添加成功,正在返回广告列表!';
				$jumpurl = 'ad.php?act=list'; // 成功后跳转回
			} else {
				$message = $upload->getErrorMsg();
			}
		}
		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	case 'edit':

		// - 安全检查、变量设置

		$id   = f_int($_GET['id']);
		$url = $_GET['url'];
		$smarty->assign('id', $id); // 定义显示url
		$smarty->assign('url', $url); // 定义显示url

		$cn   = $_POST['tj']==1 ? $_POST['cn'] : $_SESSION['cn'];
		$tk   = $_POST['tj']==1 ? $_POST['tk'] : $_SESSION['tk'];
		$en   = $_POST['tj']==1 ? $_POST['en'] : $_SESSION['en'];
		$html = $_POST['tj']==1 ? $_POST['html'] : $_SESSION['html'];

		$smarty->assign('cn', $cn); // 简
		$smarty->assign('tk', $tk); // 繁
		$smarty->assign('en', $en); // 英
		$smarty->assign('html', $html); // 用来控制可视化编辑器

		// - 输出编辑列表
		$re1s = $db->query("select * from {$prefix}_ad where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re1r['timed'] = date("Y-m-d",$re1r[time]);
		$re1r['timet'] = date("H:i:s",$re1r[time]);
		$editlist = smarrayall($re1r);
		$smarty->assign('edit', $editlist); // 定义显示数组

		// - 输出模板列表
		$handle = @opendir('../skins');
		while ($file = @readdir($handle)) {
			if($file!="." and $file!=".." and is_dir("../skins/".$file)==true) {
				$skins_list_array[] = $file;
			}
		}

		$smarty->assign('skins_list', $skins_list_array);
		$smarty->assign('b_skins', $skins); // 当前默认模板
		
		
		break;

	case 'editsave':

		// - 安全检查、变量设置
		$id       = f_int($_POST['id']);
		$cn_title = $_POST['cn_title']; // 简体标题
		$tk_title = $_POST['tk_title']; // 繁体标题
		$en_title = $_POST['en_title']; // 英文标题
		$jumpurl = 'ad.php?act=create'; // 跳转链接，默认返回
		if (empty($cn_title) && empty($tk_title) && empty($en_title)) {
			$message = '标题不能为空';
		} else {

			// - 上传文件
			$upload = new UploadFile();
			$up = 1; // 上传状态 1 成功 0 失败
			$upload->maxSize  = -1 ; // 设置上传文件大小
			$upload->allowExts  = array('gif', 'jpg', 'png', 'jpeg', 'GIF'); // 设置上传文件类型
			$upload->savePath =  '../upload/system/'; // 设置附件上传目录
			$upload->saveRule =  'create_guid'; // 上传文件命名规则

			// - 执行上传操作
			if (!$upload->upload()) { // 捕获上传异常
				if ($upload->nerror!=4) { // 上传文件如果不为空
					$up = 0; // 上传状态 1 成功 0 失败
				}
			} else {
				$uploadList = $upload->getUploadFileInfo();	// 取得成功上传的文件信息
			}

			if($up == 1) { // 如果上传成功

				// - 设定参数
				$_POST['time'] = time();
				$_POST['pic'] = $uploadList['pic'];
				$condition = 'id='.$id; // 条件

				// - 处理图片
				$re1s = $db->query("select pic1 from {$prefix}_ad where id = '$id'");
				$re1r = $db->getarray($re1s);
				if (!empty($_FILES['pic1']['name'])) {
					if (!empty($re1r['pic1'])) {
						@unlink("../upload/system/".$re1r['pic1']);
					}
					$db->update_list("{$prefix}_ad", $_POST, $condition, '|pic1');
				}

				$re1s = $db->query("select pic2 from {$prefix}_ad where id = '$id'");
				$re1r = $db->getarray($re1s);
				if (!empty($_FILES['pic2']['name'])) {
					if (!empty($re1r['pic2'])) {
						@unlink("../upload/system/".$re1r['pic2']);
					}
					$db->update_list("{$prefix}_ad", $_POST, $condition, '|pic2');
				}

				$re1s = $db->query("select pic3 from {$prefix}_ad where id = '$id'");
				$re1r = $db->getarray($re1s);
				if (!empty($_FILES['pic3']['name'])) {
					if (!empty($re1r['pic3'])) {
						@unlink("../upload/system/".$re1r['pic3']);
					}
					$db->update_list("{$prefix}_ad", $_POST, $condition, '|pic3');
				}

				$re1s = $db->query("select pic4 from {$prefix}_ad where id = '$id'");
				$re1r = $db->getarray($re1s);
				if (!empty($_FILES['pic4']['name'])) {
					if (!empty($re1r['pic4'])) {
						@unlink("../upload/system/".$re1r['pic4']);
					}
					$db->update_list("{$prefix}_ad", $_POST, $condition, '|pic4');
				}

				$re1s = $db->query("select pic1 from {$prefix}_ad where id = '$id'");
				$re1r = $db->getarray($re1s);
				if (!empty($_FILES['pic5']['name'])) {
					if (!empty($re1r['pic5'])) {
						@unlink("../upload/system/".$re1r['pic5']);
					}
					$db->update_list("{$prefix}_ad", $_POST, $condition, '|pic5');
				}

				// - 编辑数据
				$db->update_list("{$prefix}_ad", $_POST, $condition, '|available|skins|cn_title|tk_title|en_title|title1|title2|title3|title4|title5|pic1|pic2|pic3|pic4|pic5|url1|url2|url3|url4|url5|cn_other|tk_other|en_other|cn_bewrite|tk_bewrite|en_bewrite|cn_content|tk_content|en_content');
				$message = $cn_title.'已经编辑成功,正在返回!';
				$jumpurl = base64_decode($_GET['url']); // 成功后跳转回

			} else {
				$message = $upload->getErrorMsg();
			}

		}
		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	case 'view':

		// - 安全检查
		$id = f_int($_GET['id']);

		// - 输出列表
		$re1s = $db->query("select * from {$prefix}_ad where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re1r['time'] = date("Y-m-d H:s" ,$re1r['time']);
		$viewlist = smarrayall($re1r);
		$smarty->assign('view', $viewlist); // 定义显示数组

		break;

	case 'groupconfirm':

		// - 设定参数
		$url       = $_GET['url'];
		$operation = $_POST['operation'];
		$moderate  = $_POST['moderate'];
		if ($operation == 'available') {
			$operationtxt = '<font color=#0066ff>显示</font>';
		} elseif ($operation == 'del') {
			$operationtxt = '<font color=#FF5B5B>删除</font>';
		}
		if (empty($moderate)) {
			$smarty->assign('message', '您没有选择任选项,请返回重新选择!'); // 跳转消息
			$smarty->assign('jumpurl', base64_decode($_GET['url'])); // 跳转url
			$smarty->assign('jumptime', 2); // 跳转时间
			$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
			exit();
		}
		foreach ($moderate as $val) {
			$moderatelist = $moderatelist.$val.',';
			$re1s         = $db->query("select * from {$prefix}_ad where id = '$val'");
			$re1r         = $db->getarray($re1s);
			$message     .= '确认要'.$operationtxt.$re1r['cn_title'].'吗..<br>';
		}
		$moderatelist = substr($moderatelist, 0, -1);

		$action  = 'ad.php?act=group&operation='.$operation.'&moderatelist='.$moderatelist.'&url='.$url;

		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('action', $action); // 跳转url
		$smarty->display('skins/'.$b_skins.'/zt_confirm.html');
		exit();

		break;

	case 'group':

		// - 设定参数
		$operation    = $_GET['operation'];
		$moderatelist = $_GET[moderatelist];
		$moderate     = explode(",",$moderatelist);

		// - 操作
		if ($operation == 'available') { // 选择可用操作
			$operationtxt = '<font color=#0066ff>显示</font>';
			foreach ($moderate as $val) {
				$re1s = $db->query("select * from {$prefix}_ad where id = '$val'");
				$re1r = $db->getarray($re1s);
				if ($re1r['available'] == 0) {
					$db->update("update {$prefix}_ad set available=1 where id='$val'");
				} else {
					$db->update("update {$prefix}_ad set available=0 where id='$val'");
				}
				$message .= $re1r['cn_title'].'已经'.$operationtxt.'操作成功..<br>';
			}
		} elseif ($operation == 'del') { // 选择删除操作
			$operationtxt = '<font color=#FF5B5B>删除</font>';
			foreach ($moderate as $val) {
				$re1s = $db->query("select * from {$prefix}_ad where id = '$val'");
				$re1r = $db->getarray($re1s);
				$db->del("delete from {$prefix}_ad where id='$val'");
				$message .= $re1r['cn_title'].'已经'.$operationtxt.'操作成功..<br>';
			}
		}

		// 跳转
		$jumpurl = base64_decode($_GET['url']); // 跳转回路径
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	case 'delconfirm':

		$id      = f_int($_GET['id']);
		$url     = $_GET['url'];
		$re1s    = $db->query("select * from {$prefix}_ad where id = '$id'");
		$re1r    = $db->getarray($re1s);
		$action  = 'ad.php?act=del&id='.$id.'&page='.$page.'&url='.$url;
		$message = '确认要删除'.$re1r['cn_title'].'吗';

		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('action', $action); // 跳转url
		$smarty->display('skins/'.$b_skins.'/zt_confirm.html');
		exit();

		break;

	case 'del':

		// 提交示例ad.php?act=del&id=5
		$id      = f_int($_GET['id']);
		$re1s    = $db->query("select * from {$prefix}_ad where id = '$id'");
		$re1r    = $db->getarray($re1s);
		$message = $re1r['cn_title'].'已经被删除,正在返回!';
		$jumpurl = base64_decode($_GET['url']);
		// 删除操作
		$db->del("delete from {$prefix}_ad where id='$id'");

		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;
}

/**
 +-------------------------------------------------------------------
 * 调用广告文件
 +-------------------------------------------------------------------
 */
// 程序结束时间
$smarty->assign('ptime', ptime($time_start));
$smarty->assign('act', $act);
$smarty->display('skins/'.$b_skins.'/zt_ad.html');
?>