<?php
/**
 * 后台插件程序 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('purview.php'); // 后台安全权限文件
require_once('../include/function.php'); // 调用函数库
require_once('../include/page.class.php'); // 调用分页类
require_once('../include/uploadfile.class.php'); // 调用上传类
/**
 +-------------------------------------------------------------------
 * 主体处理程序 $act
 +-------------------------------------------------------------------
 * list  数据列表
 * view  详细资料
 * create  创建插件
 * createsave  创建插件提交
 * edit  编辑列表
 * editsave  编辑插件提交
 * groupconfirm 批量处理确认
 * group 批量处理
 * delconfirm 确认删除
 * del 正式删除
 +-------------------------------------------------------------------
 */
$act = empty($_GET['act']) ? 'list' : $_GET['act'];

switch($act) {

	case 'list':

		// - 参数设置
		$perpage = empty($_GET['pe']) ? 10 : $_GET['pe']; // 每页显示记录条数
		$page    = empty($_GET['page']) ? 1 : $_GET['page']; // 当页页数
		$pbegin  = ($page * $perpage - $perpage) < 0 ? 0 : $page * $perpage - $perpage; // 起始数据
		$tal     = $db->getarray($db->query("select COUNT(*) as total from {$prefix}_plugins order by id asc")); // 总记录条数
		$total   = $tal['total'];

		// - 输出列表

		$re1s = $db->query("select * from {$prefix}_plugins order by id asc limit $pbegin,$perpage");
		while($re1r = $db->getarray($re1s)) {
			$plugins_list_array[] = smarrayall($re1r);
		}
		$smarty->assign('plugins_list', $plugins_list_array);

		// - 分页

		$fpage = new page(array('total'=>$total, 'perpage'=>$perpage)); // 调用分页
		$smarty->assign('page', $fpage->show(2)); // 输出分页
		$smarty->assign('url', base64_encode($fpage->_get_url($page))); // 记住url，以便返回

		break;

	case 'create':


		break;


	case 'createsave':

		$title = $_POST['title']; // 插件名		
		$jumpurl = 'plugins.php?act=create'; // 跳转链接，默认返回
		if (empty($title)) {
			$message = '插件名不能为空';
		} else {

			// - 插入数据表
			$db->insert_list("{$prefix}_plugins", $_POST, '|title|author|main|file|available');
			$message = $title.'已经添加成功,正在返回插件列表!';
			$jumpurl = 'plugins.php?act=list'; // 成功后跳转回

		}
		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	case 'edit':

		// - 安全检查、变量设置

		$id   = f_int($_GET['id']);
		$url = $_GET['url'];
		$smarty->assign('id', $id); // 定义显示url
		$smarty->assign('url', $url); // 定义显示url

		// - 输出编辑列表
		$re1s = $db->query("select * from {$prefix}_plugins where id = '$id'");
		$re1r = $db->getarray($re1s);
		$editlist = smarrayall($re1r);
		$smarty->assign('edit', $editlist); // 定义显示数组

		break;

	case 'editsave':

		// - 安全检查、变量设置
		$id       = f_int($_POST['id']);
		$title = $_POST['title']; // 简体标题
		$jumpurl = 'plugins.php?act=create'; // 跳转链接，默认返回
		if (empty($title)) {
			$message = '标题不能为空';
		} else {

			// - 设定参数
			$_POST['time'] = time();
			$condition = 'id='.$id; // 条件

			// - 编辑数据
			$db->update_list("{$prefix}_plugins", $_POST, $condition, '|title|author|main|file|available');
			$message = $title.'已经编辑成功,正在返回!';
			$jumpurl = base64_decode($_GET['url']); // 成功后跳转回

		}
		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	

	case 'delconfirm':

		$id      = f_int($_GET['id']);
		$url     = $_GET['url'];
		$re1s    = $db->query("select * from {$prefix}_plugins where id = '$id'");
		$re1r    = $db->getarray($re1s);
		$action  = 'plugins.php?act=del&id='.$id.'&page='.$page.'&url='.$url;
		$message = '确认要删除'.$re1r['title'].'吗';

		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('action', $action); // 跳转url
		$smarty->display('skins/'.$b_skins.'/zt_confirm.html');
		exit();

		break;

	case 'del':

		// 提交示例plugins.php?act=del&id=5
		$id      = f_int($_GET['id']);
		$re1s    = $db->query("select * from {$prefix}_plugins where id = '$id'");
		$re1r    = $db->getarray($re1s);
		$message = $re1r['title'].'已经被删除,正在返回!';
		$jumpurl = base64_decode($_GET['url']);
		// 删除操作
		$db->del("delete from {$prefix}_plugins where id='$id'");

		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;
}

/**
 +-------------------------------------------------------------------
 * 调用插件文件
 +-------------------------------------------------------------------
 */
// 程序结束时间
$smarty->assign('ptime', ptime($time_start));
$smarty->assign('act', $act);
$smarty->display('skins/'.$b_skins.'/zt_plugins.html');
?>